All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.actionprovider.strategies.relational
Class BaseDataCellStrategy

    com.sas.actionprovider.strategies.relational.BaseDataCellStrategy

All Implemented Interfaces:
  ActionStatusKeysInterface, ActionStrategyInterface

    public abstract class BaseDataCellStrategy

Field Summary
`static java.lang.String` | `COLUMN_NAME`
`static java.lang.String` | `MODEL_COLUMN`
`static java.lang.String` | `MODEL_ROW`
`static java.lang.String` | `SORT_STATUS`
`static java.lang.String` | `VIEWER_COLUMN`
`static java.lang.String` | `VIEWER_ROW`

Fields inherited from class com.sas.actionprovider.strategies.relational.BaseRelationalStrategy
`AREA_VALUE_ATTRKEY, COLUMN, MODEL, ROW, SORT_ASCENDING_IMAGE, SORT_DESCENDING_IMAGE, TABLE`

Fields inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`TEMPLATE_DELIMITER`

Fields inherited from interface com.sas.actionprovider.ActionStatusKeysInterface
`AREA_DISABLED, DISABLED, ENABLED, IS_CURRENT_STATE_DISABLED, MODEL_MEMBER_DISABLED, MODEL_STATE_DISABLED, MODEL_TYPE_DISABLED, UNSUPPORTED, VIEWER_DISABLED`

Constructor Summary
`BaseDataCellStrategy()` Default constructor.
`BaseDataCellStrategy(boolean swing, RelationalActionUtil util)` Constructor for specifying type ( swing/http ) of strategy object.

Method Summary
`int` | `getActionStatus(BaseAction action, ActionSupportFilter filter)` Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.
`protected void` | `initialize()` Initialize this strategy object.

Methods inherited from class com.sas.actionprovider.strategies.relational.BaseRelationalStrategy
`addDynamicValueInfo, getCustomAttributeValue, setLabelAndMnemonicOnAction, setUtilObject`

Methods inherited from class com.sas.actionprovider.strategies.BaseActionStrategy
`addDynamicValueInfo, addDynamicValueInfo, getDynamicValue, getUtilObject, initializeAction, initializeActionAttributes, isSwing, setActionAttributes, setLocaleDependentDefaultAttributes, setSwing`

Field Detail

### VIEWER_COLUMN

    public static final java.lang.String VIEWER_COLUMN

See Also:
  Constant Field Values

### MODEL_COLUMN

    public static final java.lang.String MODEL_COLUMN

See Also:
  Constant Field Values

### VIEWER_ROW

    public static final java.lang.String VIEWER_ROW

See Also:
  Constant Field Values

### MODEL_ROW

    public static final java.lang.String MODEL_ROW

See Also:
  Constant Field Values

### COLUMN_NAME

    public static final java.lang.String COLUMN_NAME

See Also:
  Constant Field Values

### SORT_STATUS

    public static final java.lang.String SORT_STATUS

See Also:
  Constant Field Values

Constructor Detail

### BaseDataCellStrategy

    public BaseDataCellStrategy()

  Default constructor. Calls the other constructor for specifying strategy type.

### BaseDataCellStrategy

    public BaseDataCellStrategy(boolean swing,
                                RelationalActionUtil util)

  Constructor for specifying type ( swing/http ) of strategy object.

  Parameters:
    `swing` - boolean indicating whether the strategy will be used in a swing environment. If false, the strategy is http type.

Method Detail

### initialize

    protected void initialize()

  Initialize this strategy object.

  Via the `BaseRelationalStrategy.addDynamicValueInfo(java.lang.String, java.lang.String, java.lang.String)` method, this method registers the information for dynamic values that are available in all relational areas:

  - `com.sas.actionprovider.strategies.relational.RelationalValueKeys#VIEWER_COLUMN`
  - `com.sas.actionprovider.strategies.relational.RelationalValueKeys#MODEL_COLUMN`
  - `com.sas.actionprovider.strategies.relational.RelationalValueKeys#VIEWER_ROW`
  - `com.sas.actionprovider.strategies.relational.RelationalValueKeys#MODEL_ROW`
  - `com.sas.actionprovider.strategies.relational.RelationalValueKeys#COLUMN_NAME`
  - `com.sas.actionprovider.strategies.relational.RelationalValueKeys#SORT_STATUS`

  Overrides:
    `initialize` in class `BaseRelationalStrategy`
  See Also:
    `#setReturnStatus`

### getActionStatus

    public int getActionStatus(BaseAction action,
                               ActionSupportFilter filter)

  Returns a status value indicating whether the Action is enabled for a specific area as described by various filter attributes.

  If enabled, the value is: ``ActionStatusKeysInterface.ENABLED``

  If disabled, the value may be one of the following values which indicate why the Action is disabled.

  - ``ActionStatusKeysInterface.AREA_DISABLED``

  Specified by:
    `getActionStatus` in interface `ActionStrategyInterface`
  Overrides:
    `getActionStatus` in class `BaseActionStrategy`
  Parameters:
    `action` - The action for which status is to be determined.
    `filter` - The ActionSupportFilter that encapsulates all information describing the specific area.
  Returns:
    the boolean indicating whether the Action is enabled
  See Also:
    `CommandSupportedInterface`, `CommandStatusInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.